\documentclass[12pt,a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[french]{babel}
\usepackage{ntheorem}
\usepackage{amsmath}
\usepackage{amsfonts}

\usepackage{kpfonts}

\usepackage[bookmarks=false,colorlinks,linkcolor=blue,pdfusetitle]{hyperref}

\pdfminorversion 7
\pdfobjcompresslevel 3

\usepackage{tabularx}

\usepackage{pgf}
\usepackage{tikz}
\usepackage{tkz-euclide}
\usetkzobj{all}
\usepackage[top=1.5cm,bottom=2cm,left=2cm,right=2cm]{geometry}

\usepackage{lastpage}

\usepackage{wrapfig}

\usepackage[autolanguage]{numprint}
\newcommand{\np}{\numprint}

\makeatletter
\renewcommand{\@evenfoot}%
        {\hfil \upshape \small page {\thepage} de \pageref{LastPage}}
\renewcommand{\@oddfoot}{\@evenfoot}

\renewcommand{\maketitle}%
{\begin{center}%
\framebox{%
    \begin{minipage}{1.0\linewidth}%
        Nom: \hfill\Large \@title \hfill \normalsize\@date \\%
        Prénom: \hfill\Large \hfill ~
    \end{minipage}}%
  \normalsize%
  %\vspace{1cm}%
\end{center}
}

\makeatother


%\theoremstyle{break}
\theorembodyfont{\normalfont}
\renewtheorem{exercice}{Exercice}

\theoremstyle{nonumberplain}
\newtheorem{probleme}{Problème}

% Mise en forme des labels dans les énumérations
\renewcommand{\labelenumi}{\textbf{\theenumi.}}
\renewcommand{\labelenumii}{\textbf{\theenumii)}}
\renewcommand{\theenumi}{\arabic{enumi}}
\renewcommand{\theenumii}{\alph{enumii}}

\renewcommand{\labelitemi}{$\bullet$}

\setlength{\parsep}{0pt}
\setlength{\parskip}{5pt}
\setlength{\parindent}{0pt}
\setlength{\itemsep}{7pt}

\usepackage{multicol}
\setlength{\columnseprule}{0pt}

\everymath{\displaystyle\everymath{}}

\title{D.S. : fonctions}
\author{2}%\nde}
\date{\today}

\begin{document}

\maketitle

\begin{tikzpicture}
  \draw[dotted,help lines,step=.5] (-5,-2) grid (4,3);
  \draw[dotted,help lines,line width=.6pt,step=1] (-5,-2) grid (4,3);
  \foreach \x in {-5,-4,-3,-2,-1,1,2,3,4}
  \node[anchor=north] at (\x,-0.15) {\x};
  \foreach \y in {-2,-1,1,2,3}
  \node[anchor=east] at (-0.15,\y) {\y};
  \draw[thick,->] (-5,0) -- (4,0) ;
  \draw[thick,->] (0,-2) -- (0,3) ;
  \draw[red,thick] plot[smooth,samples=100]
  coordinates{(-4,-1)(-3,0)(-2,0.5)(-1,0)(0,-1.5)(1,-1)(2,0)(4,3)} ;
  \draw[red] (-4,-1) node[fill,circle,inner sep=0.4mm] {};
  \draw[red] (3,2) node {$\mathcal{C}_f$};
\end{tikzpicture}

\end{document}
